Show / Hide Table of Contents

# Struct Character.CompanionContainer

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Character

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct CompanionContainer

### Fields

| Improve this Doc View Source

#### CompanionId

##### Declaration

    public ushort CompanionId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### CompanionObject

##### Declaration

    public Companion*CompanionObject

##### Field Value

Type | Description
--- | ---
Companion* |

| Improve this Doc View Source

#### OwnerObject

##### Declaration

    public BattleChara*OwnerObject

##### Field Value

Type | Description
--- | ---
BattleChara* |